@echo off
REM Copyright (c) 2009 Exemplics LLC

REM Permission is hereby granted, free of charge, to any person obtaining a copy
REM of this software and associated documentation files (the "Software"), to deal
REM in the Software without restriction, including without limitation the rights
REM to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
REM copies of the Software, and to permit persons to whom the Software is
REM furnished to do so, subject to the following conditions:

REM The above copyright notice and this permission notice shall be included in
REM all copies or substantial portions of the Software.

REM THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
REM IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
REM FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
REM AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
REM LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
REM OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
REM THE SOFTWARE.

REM Version 2009.1

REM Setup the environment
setlocal

REM Day of week, one of: Sun Mon Tue Wed Thu Fri Sat
REM Don't include fractional seconds
set dayOfWeek=%DATE:~0,3%

REM <Configurable>

REM For testing. Don't actually run commands.
set runCommands=
REM For production
REM set runCommands=true

REM ntbackup backup types are:
REM checkpoint normal copy differential incremental daily
REM normal is a full backup
if %dayOfWeek%==Sun (
   set backupType=normal
) else (
   set backupType=incremental
)

REM p4, p4d, ntbackup and PerforceBackupProcedureLibrary.bat must be in PATH
set PATH=%PATH%

REM Directory names below should not have trailing \ characters.
REM These will be added as needed.

REM Directory where backups are stored.
set backupDirectory=

REM Directory where p4 verify results are stored.
REM It is useful to have this be a share so
REM downstream operations can access them.
REM Don't use UNC paths here because this script uses
REM pushd which creates a temporarily mapped drive when
REM UNC paths are used.
set logDirectory=

REM Name for logging
set serverShortName=MyServer

REM Allow connection info via P4CONFIG.
REM Change this to the path to the workspace where p4 client commands should run.
set workspace=%HOMEDRIVE%%HOMEPATH%

REM </Configurable>

PerforceBackupProcedureLibrary.bat